#!/bin/sh
# -*- tcl -*-
# The next line is executed by /bin/sh, but not tcl \
exec wish "$0" ${1+"$@"}

package require Tk

set logo {
    R0lGODdhVQH0APcAAAAAAAIHDwIKHw4PDwMSLQUVIAQZQB0eIAgfMQcjT+0lLQYnZAsoQCwsLDMz
Mw40Tg03YO84PwI5ggw7cAw8gANAjkBAQAxCjwVFne9ITxBLhAhMoExMTB5RiQpSsAFTvhRUn1RU
VAFWwgtWvhNXsC1XjPFYXgVaxSBaoBBbvFtbWwVcyg1cxB5drgleyjBgng1izRNiwyRirw1j0Rxk
wGVkZBNlzRFm0UVmkFlofBtpymxpZhVq1RVs2jRssmZsdWxsayRtyfJtchpu2ElunV1xjHNxbh1y
3CNy00ZyrWlyfABzYFhzlxx04zB0y3V0dSJ24Dx2wnl2dW14iXR4e3p4dgx6aCV65DB73Dl70El7
u3R7hXx7eyp952V+noF+fFZ/sy2B7DSB43uBiIKBfoSDg/ODhx6Ec0iE0DKF7j6F4HeFl4SGiomH
hWeIsjaJ8VeJyoaJjIuJhyiKeUCL6YyLizuM9X2MoYiMkleO1JCOjT2P+EGP81CP3z6R+pORjkSS
9I2SmPWSlpSTkzuUhkKU/E6U7WeUzXmVupSWmZmWliaYHUWY/mCY4JWYm5qZliybI3Gb0ZybmzKd
KVqd8k6ekZueo6GenfWgo5+ho6KhnjyiM3Ci4YCizqSjo6KmqpqnuqmnpEioP2GpnYarg6urq2+s
+FOtTIat35Ct0K2usbGvrvavsq6xtV6yV7Syrpuz0bS0tIW18Xq2rLW2uLm3tWu4ZJy53ba5vIG6
saW60Lm6t7u7u3a+cPi+wLC/0by/wsC/wMG/vIzAuJzB7oHDe8PDw7LG37zG0b3Gu8jGxajHpMTH
yorIhcjIxsbJzKDLxMvLy8rN0ZbOkbTP8NHP0fnP0NPRz8zSzKLTntPT08XV3tvW0bfX0tjX2K3Y
qtXY3sja8dzc3Lndtt3e4eHf3vrf38nh3eHh3+Tk5MflxNjm5Nnm8+rn5ebo5uXp6tbr1OPs9vvs
7Nzt2+3t7fLu7Ovv8/Lx7uTy4vPz8+v07vv19PP3+/P58////wAAACH5BAkAAP8AIf8LSUNDUkdC
RzEwMTL/AAAbDGFwcGwCEAAAbW50clJHQiBYWVogB94ABAAJABIAAwALYWNzcEFQUEwAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAPbWAAEAAAAA0y1hcHBsAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAARZGVzYwAAAVAAAABiZHNjbQAAAbQAAAQOY3BydAAABcQA
AAAjd3RwdAAABegAAAAUclhZWgAABfwAAAAUZ1hZWgAABhAAAAAUYlhZWgAABiQAAAAUclRSQwAA
BjgAAAgMYWFyZwAADkQAAAAgdmNndAAADmQAAAYSbmRp/24AABR4AAAGPmNoYWQAABq4AAAALG1t
b2QAABrkAAAAKGJUUkMAAAY4AAAIDGdUUkMAAAY4AAAIDGFhYmcAAA5EAAAAIGFhZ2cAAA5EAAAA
IGRlc2MAAAAAAAAACERpc3BsYXkAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABtbHVjAAAAAAAAACEA
AAAMaHJIUgAAABQAAAGca29LUgAAAAwAAAGwbmJOTwAAABIAAAG8aWQAAAAAABIAAAHOaHVIVQAA
ABQAAP8B4GNzQ1oAAAAWAAAB9GRhREsAAAAcAAACCnVrVUEAAAAcAAACJmFyAAAAAAAUAAACQml0
SVQAAAAUAAACVnJvUk8AAAASAAACam5sTkwAAAAWAAACfGhlSUwAAAAWAAACkmVzRVMAAAASAAAC
amZpRkkAAAAQAAACqHpoVFcAAAAMAAACuHZpVk4AAAAOAAACxHNrU0sAAAAWAAAC0npoQ04AAAAM
AAACuHJ1UlUAAAAkAAAC6GZyRlIAAAAWAAADDG1zAAAAAAASAAADImNhRVMAAAAYAAADNHRoVEgA
AAAMAAADTGRlREUAAAAQAAADWGVuVVMAAAASAAADaHD/dEJSAAAAGAAAA3pwbFBMAAAAEgAAA5Jl
bEdSAAAAIgAAA6RzdlNFAAAAEAAAA8Z0clRSAAAAFAAAA9ZqYUpQAAAADgAAA+pwdFBUAAAAFgAA
A/gATABDAEQAIAB1ACAAYgBvAGoAac7st+wAIABMAEMARABGAGEAcgBnAGUALQBMAEMARABMAEMA
RAAgAFcAYQByAG4AYQBTAHoA7QBuAGUAcwAgAEwAQwBEAEIAYQByAGUAdgBuAP0AIABMAEMARABM
AEMARAAtAGYAYQByAHYAZQBzAGsA5gByAG0EGgQ+BDsETAQ+BEAEPgQyBDgEOQAgAEwAQwBEIA8A
TABD/wBEACAGRQZEBkgGRgYpAEwAQwBEACAAYwBvAGwAbwByAGkATABDAEQAIABjAG8AbABvAHIA
SwBsAGUAdQByAGUAbgAtAEwAQwBEIA8ATABDAEQAIAXmBdEF4gXVBeAF2QBWAOQAcgBpAC0ATABD
AERfaYJyACAATABDAEQATABDAEQAIABNAOAAdQBGAGEAcgBlAGIAbgDpACAATABDAEQEJgQyBDUE
QgQ9BD4EOQAgBBYEGgAtBDQEOARBBD8EOwQ1BDkATABDAEQAIABjAG8AdQBsAGUAdQByAFcAYQBy
AG4AYQAgAEwAQwBEAEwAQwBEACAAZQBuACAAYwBvAP9sAG8AcgBMAEMARAAgDioONQBGAGEAcgBi
AC0ATABDAEQAQwBvAGwAbwByACAATABDAEQATABDAEQAIABDAG8AbABvAHIAaQBkAG8ASwBvAGwA
bwByACAATABDAEQDiAOzA8cDwQPJA7wDtwAgA78DuAPMA70DtwAgAEwAQwBEAEYA5AByAGcALQBM
AEMARABSAGUAbgBrAGwAaQAgAEwAQwBEMKsw6TD8ACAATABDAEQATABDAEQAIABhACAAQwBvAHIA
ZQBzAAB0ZXh0AAAAAENvcHlyaWdodCBBcHBsZSBJbmMuLCAyMDE0AABYWVogAAAAAAAA81IAAQAA
AAH/Fs9YWVogAAAAAAAAansAADcfAAABw1hZWiAAAAAAAABl1gAAut0AAAgKWFlaIAAAAAAAACaF
AAAOBAAAyWBjdXJ2AAAAAAAABAAAAAAFAAoADwAUABkAHgAjACgALQAyADYAOwBAAEUASgBPAFQA
WQBeAGMAaABtAHIAdwB8AIEAhgCLAJAAlQCaAJ8AowCoAK0AsgC3ALwAwQDGAMsA0ADVANsA4ADl
AOsA8AD2APsBAQEHAQ0BEwEZAR8BJQErATIBOAE+AUUBTAFSAVkBYAFnAW4BdQF8AYMBiwGSAZoB
oQGpAbEBuQHBAckB0QHZAeEB6QHyAfoCAwIMAhQC/x0CJgIvAjgCQQJLAlQCXQJnAnECegKEAo4C
mAKiAqwCtgLBAssC1QLgAusC9QMAAwsDFgMhAy0DOANDA08DWgNmA3IDfgOKA5YDogOuA7oDxwPT
A+AD7AP5BAYEEwQgBC0EOwRIBFUEYwRxBH4EjASaBKgEtgTEBNME4QTwBP4FDQUcBSsFOgVJBVgF
ZwV3BYYFlgWmBbUFxQXVBeUF9gYGBhYGJwY3BkgGWQZqBnsGjAadBq8GwAbRBuMG9QcHBxkHKwc9
B08HYQd0B4YHmQesB78H0gflB/gICwgfCDIIRghaCG4IggiWCKoIvgjSCOcI+wkQCSUJOglPCWQJ
ef8JjwmkCboJzwnlCfsKEQonCj0KVApqCoEKmAquCsUK3ArzCwsLIgs5C1ELaQuAC5gLsAvIC+EL
+QwSDCoMQwxcDHUMjgynDMAM2QzzDQ0NJg1ADVoNdA2ODakNww3eDfgOEw4uDkkOZA5/DpsOtg7S
Du4PCQ8lD0EPXg96D5YPsw/PD+wQCRAmEEMQYRB+EJsQuRDXEPURExExEU8RbRGMEaoRyRHoEgcS
JhJFEmQShBKjEsMS4xMDEyMTQxNjE4MTpBPFE+UUBhQnFEkUahSLFK0UzhTwFRIVNBVWFXgVmxW9
FeAWAxYmFkkWbBaPFrIW1hb6Fx0XQRdlF4kXrhf/0hf3GBsYQBhlGIoYrxjVGPoZIBlFGWsZkRm3
Gd0aBBoqGlEadxqeGsUa7BsUGzsbYxuKG7Ib2hwCHCocUhx7HKMczBz1HR4dRx1wHZkdwx3sHhYe
QB5qHpQevh7pHxMfPh9pH5Qfvx/qIBUgQSBsIJggxCDwIRwhSCF1IaEhziH7IiciVSKCIq8i3SMK
IzgjZiOUI8Ij8CQfJE0kfCSrJNolCSU4JWgllyXHJfcmJyZXJocmtyboJxgnSSd6J6sn3CgNKD8o
cSiiKNQpBik4KWspnSnQKgIqNSpoKpsqzysCKzYraSudK9EsBSw5LG4soizXLQwtQS12Last4S4W
/y5MLoIuty7uLyQvWi+RL8cv/jA1MGwwpDDbMRIxSjGCMbox8jIqMmMymzLUMw0zRjN/M7gz8TQr
NGU0njTYNRM1TTWHNcI1/TY3NnI2rjbpNyQ3YDecN9c4FDhQOIw4yDkFOUI5fzm8Ofk6Njp0OrI6
7zstO2s7qjvoPCc8ZTykPOM9Ij1hPaE94D4gPmA+oD7gPyE/YT+iP+JAI0BkQKZA50EpQWpBrEHu
QjBCckK1QvdDOkN9Q8BEA0RHRIpEzkUSRVVFmkXeRiJGZ0arRvBHNUd7R8BIBUhLSJFI10kdSWNJ
qUnwSjdKfUrESwxLU0uaS+JMKkxyTLpNAk1KTf+TTdxOJU5uTrdPAE9JT5NP3VAnUHFQu1EGUVBR
m1HmUjFSfFLHUxNTX1OqU/ZUQlSPVNtVKFV1VcJWD1ZcVqlW91dEV5JX4FgvWH1Yy1kaWWlZuFoH
WlZaplr1W0VblVvlXDVchlzWXSddeF3JXhpebF69Xw9fYV+zYAVgV2CqYPxhT2GiYfViSWKcYvBj
Q2OXY+tkQGSUZOllPWWSZedmPWaSZuhnPWeTZ+loP2iWaOxpQ2maafFqSGqfavdrT2una/9sV2yv
bQhtYG25bhJua27Ebx5veG/RcCtwhnDgcTpxlXHwcktypnMBc11zuHQUdHB0zHUodYV14XY+dpv/
dvh3VnezeBF4bnjMeSp5iXnnekZ6pXsEe2N7wnwhfIF84X1BfaF+AX5ifsJ/I3+Ef+WAR4CogQqB
a4HNgjCCkoL0g1eDuoQdhICE44VHhauGDoZyhteHO4efiASIaYjOiTOJmYn+imSKyoswi5aL/Ixj
jMqNMY2Yjf+OZo7OjzaPnpAGkG6Q1pE/kaiSEZJ6kuOTTZO2lCCUipT0lV+VyZY0lp+XCpd1l+CY
TJi4mSSZkJn8mmia1ZtCm6+cHJyJnPedZJ3SnkCerp8dn4uf+qBpoNihR6G2oiailqMGo3aj5qRW
pMelOKWpphqmi6b9p26n4KhSqMSpN6mpqhyq/4+rAqt1q+msXKzQrUStuK4trqGvFq+LsACwdbDq
sWCx1rJLssKzOLOutCW0nLUTtYq2AbZ5tvC3aLfguFm40blKucK6O7q1uy67p7whvJu9Fb2Pvgq+
hL7/v3q/9cBwwOzBZ8Hjwl/C28NYw9TEUcTOxUvFyMZGxsPHQce/yD3IvMk6ybnKOMq3yzbLtsw1
zLXNNc21zjbOts83z7jQOdC60TzRvtI/0sHTRNPG1EnUy9VO1dHWVdbY11zX4Nhk2OjZbNnx2nba
+9uA3AXcit0Q3ZbeHN6i3ynfr+A24L3hROHM4lPi2+Nj4+vkc+T85YTmDeaW5x/nqegy6LzpRv/p
0Opb6uXrcOv77IbtEe2c7ijutO9A78zwWPDl8XLx//KM8xnzp/Q09ML1UPXe9m32+/eK+Bn4qPk4
+cf6V/rn+3f8B/yY/Sn9uv5L/tz/bf//cGFyYQAAAAAAAwAAAAJmZgAA8qcAAA1ZAAAT0AAACg52
Y2d0AAAAAAAAAAAAAwEAAAIAAAADAA0AIAA8AGIAkwDOARIBWAGoAgICbQLjA2UD8gSLBTAF4Aad
B2oIRAkmCg4LAgwDDREOKw9JEHIRoRLdFB4VYhayGAQZYBrAHB8diR7xIF0hyyM6JKUmFCeAKOcq
TiuvLQ4uYy+zMPsyOzNzNJ81xDbhN/k5DDr/GjsqPDg9RD5OP1pAaEF2QoZDlkSoRbpGykfaSOhJ
90sETBBNHE4nTzFQOlFCUklTTlRSVVVWV1dYWFlZWlpaW1pcWl1aXlhfVmBSYU1iRmM+ZDVlKmYf
ZxNoB2j7ae5q4WvUbMdtuW6rb51wjXF5cmFzQXQZdO51wXaXd294Snkjef1613uvfIh9YH43fw5/
5YC7gZKCaIM9hBOE6IW+hpOHaIg8iRaJ/YsEjD6NrY84kLKR/ZMflCuVLpYwlzGYM5k0mjWbNZw2
nTqeRp9loJih2KMVpEGlXaZup3qohqmRqpurpayvrbmuw6/SsO2yIbNwtNC2KbdsuJi5trrP/7vn
vP6+Fr8xwFbBksLoxEjFm8bNx+HI8MoGyyXMR81kznPPbNBV0TfSHtMK0/nU49XN1r/Xuti82b/a
wdu+3K/dkd5s30LgGeDy4dDiueOo5JvlkOaF53nobelg6k3rM+wS7Ovtxu6k74bwavFO8jTzIvQp
9V32vvgw+ZT63/wZ/Vj+pP//AAAAAgALABsAMgBSAHoArADmAScBbwHAAhsCggLyA3AD+ASIBSEF
xQZ0By4H8wjCCZ0KfQtkDFgNUw5YD2IQdRGLEqgT0BT4FicXXRiTGc8bDRxMHYweziANIVEikSPQ
JQsmRSd2KKYp0Sr0LBAtKC40LzkwOTEzMv8pMx40EDUBNfQ25TfXOMg5uTqpO5o8iz17Pmo/W0BO
QUJCN0MuRCRFGkYQRwZH+0jwSeVK2EvMTL5NsE6iT5NQhFFzUmFTUFQ+VStWGFcFV/FY3FnIWrNb
n1yJXXNeXV9FYCxhE2H4Yt1jwWSkZYhma2dNaC9pEWnzatVrtmyYbXluWG82cBJw6XG/cpNzZHQ1
dQV11nald3V4RXkUeeN6snuAfE59HH3qfrp/jYBqgVKCRIM9hDqFNoYwhyuIJYkfihmLEowLjQSN
/Y72j/GQ8pH5kweUGJUoljeXRJhQmVuaZ5tynH2dh56Sn5ygp6G4otKj+aUpplyni6i1qdr/qv6s
Ia1FrmivjbC3se6zNbSFtdG3Dbg9uWm6mbvLvP++Nb9swKTB3MMRxEDFacaLx6rIyMnpyw3MM81a
zoLPrNDX0gbTNNRf1YTWpNfE2ObaCtsv3FTded6e38fg9+Ix43Lks+Xy5yzoZ+mj6t/sG+1Y7pzv
8PF28y31EvcK+QL66/y7/mn//wAAAAIACgAXACwASABrAJcAygEGAUcBkQHjAj0CoQMNA4UEBwSS
BSYFwAZkBxIHyQiICU4KHwr5C9QMuA2lDpkPkhCPEZISmhOlFLYVyBbeF/kZEhotG0YcYR18Hpcf
riDCIdQi5SPtJPIl8CboJ9gowimlKoMr/1osLy0BLdIupC93MEoxIDH3Ms4zpjR+NVU2LDcCN9g4
rTmCOlY7Kjv9PNA9oz53P0pAH0D1QcxCpUN+RFZFLkYFRtxHtEiKSWBKNksLS+BMtU2JTl1PMVAF
UNlRrFKAU1NUJVT2VchWmldrWDtZC1nbWqtbelxIXRZd5F6xX39gS2EXYeNirmN6ZEZlEWXbZqZn
cWg7aQRpzmqXa2BsKWzxbbhugG9GcAlwzHGMckpzCHPFdIJ1PnX7drd3c3gueOl5pHpfexp71HyO
fUh+An6+f36ASIEdgfuC4IPIhLGFm4aEh22IVok+iiaLDYv1jNyNw46qj5SQgZF3knKTcP+UcZVx
lnGXcZhwmW6aaZtgnFOdSp5Mn12geaGdosWj7qUVpjenTKhSqVGqW6t7rLSt+69HsJOx37MrtHa1
wbcLuFO5mLrbvCG9bL69wBPBasLDxBvFdMbOyCbJfcrUzCrNgs7j0FbR1tNj1PXWiNga2a3bQNzW
3oDgTeJT5JDm9+mU7MXxVPfZ//8AAG5kaW4AAAAAAAAGNgAApUYAAFaUAABTOQAApY4AACWoAAAN
PAAAUA0AAFQ5AAIZmQABvXAAAVwoAAMBAAACAAAAHgBBAGIAgwCkAMUA5gEGAScBSQFrAY0BrwHR
AfQCFwI7Al8CgwKoAs4C8wMaA0EDaAP/kAO4A+IECwQ2BGEEjQS5BOcFFQVFBXUFpgXYBgwGQQZ3
Bq4G6AciB18HngfeCCIIaAiwCP0JTAmgCfYKUAqtCw0LbgvSDDgMoQ0LDXYN4w5RDsEPMg+kEBkQ
kBEJEYUSAhKCEwUTiRQQFJkVJRWzFkQW2BdvGAgYpBlDGeQahxstG9Ucfx0sHdwejh9EH/0guiF6
Ij4jBSPPJJwlayY9JxIn6ijEKaIqgitlLEwtOS4uLy8wPjFVMmwzgzSaNbU20zf2OR06Rzt2PKk9
3z8ZQFdBmULfRChFdUbGSBpJZ0qVS5dMdk1ATf9OwU+MUGpRaVKEU7BU5FYaV1NYjlnM/1sNXFFd
ll7YYA9hM2JHY1VkZGV/Zqtn6GkxaoFr020oboBv2nE3cpZz+HVXdqx37XkXejB7QnxZfX9+uYAJ
gWiCzYQ2haKHD4h+ieeLQYyEjbWO4JAOkU6SsJQ0lcWXTpjNmkibxp1RnvigyKK+pLKml6h6qmms
W65BsBWx4bOttX+3Xrlau3y9t7/5wjnEbcaKyJnKpMyvzr7Q0dLn1QjXPdmN2/TeWuC14wvlYee6
6gjsJ+4A753xHvKY9Bz1tvdt+TX6/Py2/l///wAAACQASwBxAJYAvADiAQgBLgFUAXoBogHJAfEC
GQJCAmsClQLAAusDFgNDA3ADnQPMA//7BCsEXASOBMEE9QUqBWEFmAXRBgsGRwaFBsQHBgdKB48H
2AgkCHMIxQkcCXcJ1go5CqALCgt3C+cMWAzNDUMNvA44DrYPNg+5ED8QxhFPEdkSZRLyE4IUFBSo
FT8V2RZ1FxQXthhaGQIZrBpZGwkbvBxzHSwd6B6nH2kgLiD2IcEijyNfJDMlCiXkJsInpCiJKXMq
YCtRLEUtPC43LzUwNjE6MkIzTTRbNW42hjemOM85/js0PG89rj7yQDlBhELTRCdFf0bbSDtJnUr9
TFBNk07KT/xRLlJkU55U2lYaV1xYoVnqWzVcg13TXyVgc2G8Yv5kPWV9ZsFoCWlWaqX/a/dtTG6j
b/xxWXK4dBl1fHbaeDB5e3q9e/p9On6Bf86BIoJ5g9OFMIaOh+6JToqqi/uNQI58j7WQ9ZJEk6KV
CZZyl9iZPpqjnAidb57WoD2hpqMUpImmBqeOqR6qtKxNreOveLELsp+0NLXKt2C49bqIvBy9tb9X
wQLCtcRpxhzHzsmAyzTM6s6j0FvSEdO/1WPXANib2jnb3d2H3zLg3+KM5Dvl7Oee6U7q9eyI7fnv
SfCF8bHyzvPo9P/2GPcz+FT5fPqq++r9OP6V//8AAAApAFQAfwCpANMA/gEpAVQBgAGsAdgCBgI0
AmICkQLBAvIDIwNWA4kDvQPzBCkE/2AEmQTTBQ8FTAWLBcsGDQZSBpkG4gctB30HzwgmCIEI4QlH
CbIKJAqbCxYLlQwWDJoNHw2mDjAOvA9MD98QdREPEawSTRLxE5kURBTyFaMWVhcLF8EYehk2GfYa
uRt/HEkdFx3oHr0flSByIVEiNCMaJAQk8iXjJtkn0ijPKdAq1SveLOst/C8SMCwxSjJsM5M0vjXt
NyA4VzmSOtI8FT1dPqo/+0FQQqpECUVtRtdISknGS0xM2E5pUABRm1M8VOJWjlg/WfVbsV1yXzZg
8mKbZCtlrWcqaKZqJmupbS9uuXBHcdhzbXUGdqJ4QXnfe3h9Bn6OgBSBmYMihK2GO/+HzYljiwGM
q45ckAaRm5MelJWWB5d3mOeaWpvTnVie9KCpomWkB6WKpvaoWKm1qxSsdK3WrzmwnrIFs2602bZH
t7m5MLqqvCS9m78OwH3B6sNXxMTGMsehyRLKhMv3zWzO5NBd0dnTV9TX1lTXydky2pLb690+3o7f
3eEt4n7j0OUj5njnzekj6nbrwOz+7jHvSvBZ8VnyTvM89CP1B/Xi9rr3gPg9+PD5gfoS+qD7Cftx
+9n8QvyZ/Oj9N/2F/dT+I/5p/q3+8P80/3j/u///AABzZjMyAAAAAAABDEIAAAXe///zJgAAB5IA
AP2R///7ov///aMAAAPcAADAbG0nbW9kAAAAAAAABhAAAJyfAAAAAMWUJHAAAAAAAAAAAAAAAAAA
AAAAACwAAAAAVQH0AAAI/wD9CRxIsKDBgwgTKlzIsKHDhxAjSpxIsaLFixgzatzIsaPHjyBDihxJ
sqTJkyhTqlzJsqXLlzBjypxJs6bNmzhz6tzJs6fPn0CDCh1KtKjRo0iTKl3KtKnTp1CjSp1KtWE+
euK0RTNmjF7CfNqMaaOXr6rZszPzXU2XdSuvWKU8yfUkKVpCbZLkloplLJo4smgDC+a4tq2xt7Hg
ltobixcvrtG0iUt3uKzBfKV4sXULN/Fjv4AHix5NsHDYt4tTe9r7OfLkdPRik1ULlpflguIkpfNH
mx5brahTxwJ9m7TxpGpjixPHOe7ixJ77apP8Wrb167JrFx9Yyhjt7999L/+PFnyv2L/bj6unmfz3
YdRzWT8+Xx27/fvWtRsU52k2+O+lXeUbcLHo9dhu6yWYklq/kVeeXo19Jlk6sOFn4YX5aWObQY79
56FaCK0FnCexeKXgiRglJ55Whyn2XHSRTVhhfgJiaKOF+hGkjSfifOhjegVFUyKKRD50lWFv0SVJ
Xqz1tRyFN0YpJY4abpfZjz4eBCI9wxXp5UJcxseXdJNdp+KUaKYZW20mCsRfOlh+qKVAxniC4Jd4
4lZXduCp6eef2WnYpj/dxSnnZf7QI4kxeTZKUDqlRFMjoJRSyuZAO/Zo6KECWSZOKXc6WqRvZeXD
16SVpppmPuLw0uZem27/yhsv2oj6pame8PLXW6iq6uuNrA7pD3/axGqoP9qUMqitJypK4mpywfnr
tMCKI2xj/hkrJ5exMPslL3ZqQ4skg8SiDZy9UqsuWdZ6Ray2WA7Lo7depmNJNOmQI44xcQ0347oA
B+vVXtnCC96sG9JbJFz5UphONKXkpetsAFMbLKuSFGuwnJ+GqvCJO567HDlsMVNgZmORVbGvAhsT
i7QFGzxrtx8XidnLy+W8XFgFkvjXyqmyygvEmm7sYaY1e1mnOPrqnDPPckUDdKXBZkZxzPBym3S9
3TWtMzjagK1VxD1O/SergwyisYBG04b01kTmw0spToMj9nTTGTOIbWar/8lgHf3lo0/b3+kDF9xe
8ufX03jjLQ3EgfdtY3hsGVOHd7wR7rYk4iA+6l6MNz6dNNLwknG6Zvc54GFxDVJGGbniizW8i3mu
tCeS3d3449FEQ2Lf/63oMl2uk8HF8VJIMQjxeZkL28b8dW47kenkmpXo2pDeu5Cnr6vWPbFtBgxc
kuhRRxnHp68+F8lfwssucFmS9iCSxOIMeptyycv0Ns+Nffbb650xJMG3oPVmQM5I0iDOh74vvO6B
ZSADGb5AQeRJwX3wS0xcJHG+OgyiO2OJ0448xr8E8Ucsuwvg9qKFOilRCDgbXCAE21CHGtZQDm1o
AwQn+IX0VUEKkqhFLf9i8YpVLEYuklAEA8uwPF09r0+ZKaHNYqGK0WlPhb0zXbHStBmXyW+JNdTD
/Ob3BxvWIYc7pGAPLVi/xBgxLp64hCQeMYgylqGHUmBipPDHKjtJsUi+iwwWA8iV32HIPaghlxnT
tqRGKuKRYzSfDXOowweqMX3Je0RiXqEaJSliEObTIR6f8IQ8SqIVxrAWzf6IourRapC9YwZXYsG5
SVEoK8NTpA0ZORe5WKKRS/rkGEFpRhxW8nWXtKAiVuGiUMRxjnUM5R3Z9wQgAGEHNQACF9DHKFai
SG7DGSRXxmk6nLklhmNcUnyOOBc5AjOJwySmDeWAwzSukQs//GBqnPn/zE/WQQ4RvOfxyuDB+vFi
eST05nE+1RdCjvOhnqgDudKpl9RYFI69VNI7hRnJYqLRkgJNnj7joolL0FGacqghkxoTmXWsKR+Q
mpdCE3Sz7T30pi6r4WoYA52L7jOjSHwnPIcpyRt+9HUT9GHy6iBHf+6yeUPTxjxeGp410QNckprp
euLSUFni1BjC4IUmPugin14UqJbQKDA5mjY8FLWGx4ygUpOXRzHSbzVRLdOa9IGhq9SpK1o9jifK
YNCvcsUxpVieWc3KT6AKNYls/cNbKynQgRaURHn9l9/A8rvAjiYfkuDCapp3U8eYllyL9SlQfSnU
R7B1gUt84GUzI6HX/8AmHe3wjW7PBlP/eXYwoOWCrupEv8Yc1rTgGmlq2ZnRtApVmDWEIBOZVFvb
Ouy62KVQblfVmzrZ5bdoCe7LKpfYwiI3sTtlbCga69glpe2MspXoavgSoydl977ZBVSf+JVV8FZF
vNfdV3kzE9a3LGm5i1mvXDQx0eg+1ROrkBB1nOY0dOD3vrz9D3+E5V+pABi7Al5SKEyL3sUGFbY1
5GWTejcdCrvYaRfObzu2OyUfJYtuHfZwaMd7X23QsomxoB873bvIlbamcS9OMoVjjN0MeygdWM0x
VD58YR+nzROP8CADU7yaXQijof8Ls5JfzOTrOvk/vPFdraTcFCrH2P/HHGTifI8c5jq3eMwVtnCZ
oeSnDw2IPItic5t3fNsyf6pcdk409vCsM3Q4es98nnGUKIfLnsmFpcsS9FEA7JsyY8UTgxBL766h
aDszesmQntyZKo3E+ToJTpp2CqchDWUPiprUpRbzqXVGa/zccjrk2SAHn1AHf4Um1lGZNaTrFIdQ
a+MaMcq16HadMz3H+B3vkE07fgNDXT6wiZ54gieAhOynBBdUnd6zkAYrCWVAW9rY4wY3dv3oGO+M
PORzHfq4QErLLq8xyeKCJDJdbnNL4gnoprWGaEnYaMMbb/NmNH7vnUvX8ZuUT1AfBFMM1WQ9YeAF
pwpoEV5oKL3ZZYn/LUOkHj5tJaNDZyxqEfHqcDyMa1y6BH2weXz8hEEkNORMGXnCIc0c1LjOXCyf
sIuBLXNy7fviNh8oznO+SBWz1Fo9/znQlZKPcA99z8xhXUSLDW+n4U2Ac6NLGWuO8X6vb+pm9OD8
Ggmhz7Qq61tPttdp/Wt804WgtJK2WxIpQ6i3fX3pg/su567OisqnL+CAMt7zbu5w2yndhmYRXMZK
Bmf/jzNwocv52N72jCP+5vFNMeMbn17POEY6874qF3xOeahYvuRg17zoAd+iiMlw36U//OmlvvHF
M5L1FnX9fMBMHdzmwxiz13rtjXJ7vrMFl3NT5DZHb/jgm37425Ru/9WP33jhuH6cLMZbzvj8/OhP
3ynV5/vLde/07nsf/OFPvdzJv06evt4YzpB+SmdmL+UP0eB+78cUlmddRJcVzJB2hWd/3/d2xad6
5JcJFQUdEQIZAshrDmMmAHKAgyA9CagUC2h9fVdx3Hdxpyd+xkc/yPci/9dQ0bZ+BEhVaGaAXFAH
JFiCSHGCKLgzypB2jsBAiOeCxkd3jqd8HFiD9vWBfOIhB6ENO9iDPkh94saAtNYWhBdbFbh/MJgX
GXh+Tah+T6hZUrgPC0GFPHiFSQGEQYh9rzBzcbd/SjiGG8iBZrgc8wCFNAIe/UBuU1iFbogUpfBx
WriFLJJ27rV6Yv+4U9BhWmV4Z1oIgh/SDw7BD/zADr+wg2tWiEURCwKXiA2oeUP2iOa3CzPYO9Kw
h9Zlif+hhmrIEPwQD+wQDsQgC6ZACXlABXXwiaA4FLGAiCgYYEyHGOYXIfOxPUhmg36Ig1lSELOo
ibZIDdRADLtICYXgB9zoB2jgi8AYjEExjJxDa9bmME+zFe8hiZNIidaVbbDoI/swj/S4D/ygD/bA
Dteoi5SgjdvoB4UQkAKZB1vwi+JIFORIiveViIwzSM3ojJoVhT9Sj4Jji+Gwj7v4j9wokBzJkX1Q
kOF4kD4hiuXIFtllbRAJYjvTcimJH/VwD/cwkfugFvl4kfxoCH7/8AY6uZEdGZCM0JMfaZAiOY5U
cAfHQDIOgw76omcwdmFJhmH3MThYog8WiZGUAAg6+QZ2sAcA2ZMCyQhg+ZMeCZJDOY5cQARZwAnH
8BqTwZZNWYw05pLfMZM0GQ8XmYumYAh88AZh0JdhoJV20I1d6ZU+CZYd+ZFyEJJlqROiSAQ60ANo
gArbUA6O9pQoiCEwmQ+ZSQ/vcIv7yAmUQAdvkAZ+mQY6aQeoiZqCSZiFaZhjKQfSsJg/IYpMMAQ9
MANDgAa3sA2O9nKotme7dR8vCZPg8w7gcJeyQAmGoAZdcAXO2ZdpEJ1ZCZipGZg8SZhhKZYC+ZFt
8F2yyRO0aZtD/8ADM4AEeXAM4OBo5fCWMcaZ9jGc4MOZ4GCNxMAJjdAHzAkFUOCcXQCd0fmf01md
qnmdrOmV3Omd38mYXFCbPTCePPCgSIAGnbAN4uCbZ3hd7+Aw7vAOuVUP9RAbnbkNx3ALqGCfdJCf
UNAETaCf/Nmfpfmf0pmVAmqdg1mgQLkFZYCgCYoTvLCgQdADD8oD43kDMDAEeZAK6emb+CVp9OCh
H2qcI4oK9ykGUHAEttkDPXAER7CiztmiLuqfMGqapzmj3WijBoqjOrqjNsELZMAEPxqkDsoDNmAD
5gkL4LCe2MWk2wYOIlqi95kFSOCgWJqlWqql+rmfXdoFivqlYf8qpmMqoH7AlTVqpoXwkTmqpjrB
C1/gpnAapzowp3QKB7+ADjNWqu2wDn16CGiQBU4wpDMwA0EqpIU6q0fAoom6qC7aqNNJnakpqQRq
ppbaTZh6E8LQpjogpHHKAzrwqXMKAzGQBamwDeAQpZGwqk7wqTAAA686AzdwA7E6BOBKq7WKqLe6
qNAZBrr6qL26mpS6jZaapsMqE8ZgrLH6oMvKrHMaAzGgA1mQBUEwpy4QsC6QrdnKrd1ar+A6BOJ6
qF3qpbnaqI46o1tZpu3qB+8ar8TapkFQr/cKqjagrzHAAicwsitQsgNLsNlqA916sJ2qsAtrqw7r
l+gapgFKpuz/aqN+YAhoirE2Ma+ceqz3iq/5CrIiewICi7IEOwMqy7IPmrDiOq7kegW4KrPpqq6p
yY2+irM5uwVkoBnagA3qiH5+8Tw8axI+GwQ34LFq+7EgG7IjK7Ani7JLy7TI6rK0yrDl+qVgGqO8
arMU25WC6QeAQAdwsAU7aENT9zoSxRd/UbYiMa9FoAMR+q9ry7ZE+7ZHi7TZurLfmrB2u6VdirdT
+6I027cC6qsAGbh0gAZg4AVr4EGK8AiymwiJEAh4cLtxwAZyhU9V0HmeYAzS57gUAbk0kAW4iAZq
27b6ygJFC7eaO6d0W7fhWqg6oAEUMAEQkAAIkAAXgASjO7Ol/yux1bkHNMqNdNAHYLAGzXYJofAJ
oAAKndAJkdAIhtAH9dsH+AsHbuC6hmtzxQZrwpsRxJsF7OAP7MAJTqC8bcu8mJu5SNutcyqnEQyu
IHC9C2ADKAAAGowAE1AAGrwAQ2CupAujMiq+V+sHdkAHbrAGgxAKq9AK8GufhmAIZjrDebC/W/AE
RpBx/yuIAewQxOsEBSwQ4dAIOsACCpwCzeu8KeABG+ABr3oDMQAB18sA28sCCosAGhwAJKADAwAA
ATABYdABXwwAFCC1egu+AGq1p7sHq+sFeBAKtYALuoAKyvmP7XqYrasE1vQEZdAKBPfDQFwGSkAD
QkwQ7IAKWf8Qskisr0rcwAHLAgwQAABgACPwoCDAwVqswRjQAzrgwWC8AZ/8wU2ABJtMADqgqFRb
tWy8lXagBmCAB5rwCsAAC6CJx3nckz9pCHDgBXwMBOJWLIIsEczQBoV8yAURDgicAikQA8y8xEf7
AFtcAUCqAQWwAQygwQCwAD1AA6AcAN27yQkwBFcgzRrcAqMLsY6qruQLy3egCbuADLaMk5Oay4TJ
y17wA9ZUBi8zzBARDcYsA8hcEPxADXmgA8z8yEYLtzOwAdqcALA6AQIwAuYMABMNApQMxhRwBOZs
ADYQBhOgzSQgwnu7xgGqk2/8CMLwDMfACfRsz3nMCIYABkr/kE09p5j+fBAArQQCPcQHwQ6RkNDQ
HLDOuskC4AE8AAEEYAMQoM0AcAEaEAAZvQBH0NQAQAApMMYZPdLfW9LrrJPuvArOcAx2/Ksw3a55
UATW9AOD0F85nRA73dMKcQtCDcknG9JgLAE2wAAG0AMSndEGkAAEQAAanABHgNcEQAJarcEggKtp
zMpvoAZuIAnCsA23QAl7wJVnvdl94AVAkE38HMhvbYDG3AJBEA4JwQ907QEKDckw4AGgbAAbgADc
rAEEkAAZvc3mTABD0AEaLAAYsNgBkAJo3NVqDKNasAaroA3HoI2SisubncuAAAc1rU04NtoGsdOm
jdoIodpN/+wBRTuyC32yVi0AC1AAE9ADtk0BoAwAFWDVBHADvg3GwW3V4+ywj92oWnAHtSANdpzZ
kXqz0Z3LaFDdohW8gqzdOsDdB6HaJOABJBDeru3QWywAF9ADIFAAFwABGY0BGvDbLIACgM3hAJAA
NNCwjr3KyI0HwuDfgJDZrpzZMo66Aj7gHMkIcPADNg0q2E0Q2k0DDG4QDg7hKSDerp0Cm3zVHtAD
JEAAF5DhYOwBILDFHvDJASAABLC9F6ADDVvcqrzKYSAGYBAIwoAMnPDivdqrNG7WNt6TOZ5NZKAs
PS4QP04Nc/3gJFDkRj7e2YrXlTwCPRADtG0DWiwALIDRAf+Q2EgAAiTQAjSgA0MQtYnq5TIb5rFc
5pxgwuO7lTO+5mx+1mBwTU/QtT4cwNodA3aeELfw4Ky9584LAxuQ0RCdtgmwADcAAlR8AzpAAiQQ
A3arooeKt3n75X055sLwC5mu6SYM4IHb5hwJCKEOzL9Y6o670yiQAsdw5x7gASPg6nzOAhtQAU9s
sEr8oN76oA36tFALs/jtol2gBWT+C41gB6ar7KjZ6YFbz5sNCF5g05zT49ogB0qAAiSQ7arO6nru
6kStuTCwsueOsE77spLu5YqqBXjwCshO761s7xI741ib7/bcBzr+A1wg56Md8APvAQaPEKu+7R+w
5679vHP/W6/S+7TC3qVIcAUoYOJZcPHA0Ai7uvEcr+YyHqk0DtM5bk1cgDlvjfIooPLa7gEvD/Nw
G7coy7k8kAKdG/GzeqgtQM5BsAAQgAAg0AIJ0AJgEAq4wAmjGfSnKfRDf+/Mnu/63pN0wAT+boWC
rA11kPKR4NMGsepPPPUKf7RxOwOvzQI3oN4FQAEQP72FCgU68AABcMbmHAALkAJoPwi00Al0wLdB
j5r1HvebzulF3+ysKfI7AMwcNsx8n/IeoAW3wA8HIfitDvN8DgMpcAEYoK1RvQAzAOXcHKRYGq67
rgMqqgMIQMkLAAUIYAB8nQIUgANxnAqfL50mHfpwT/qm/9/pexCQFMuRYJBNQFAGOO24r//0TtwC
kRAOtE8Qtt/tuC+w4J7NwL0BHpwAHqDFAYDUQQoQNngMOUKDgYALQ5AwCLBgwAIoECggINHhQJFQ
rfqESdOx4xuPb0SOJGnHjsiTJlWuZNlS5Z6Xe/b4kenHps1COdEA2QEESCl6/oQOJVrU6FGkSZUu
ZdrU6VOoUaVO1VZHyQsPHjZslZGKHdFbILZ+OFHWbFkXLjxAKAAgQIEFCQIAWABh7oIbPHjY0JDg
QhODARIgnBCAgoYAJFAkYLjgQQ5JsSKF4ejRchqSmTWjdNnZsx2ZoWfanJnTDx8mNXyWiTbV9WvY
sWXPpv+ttKoSFB60+NC6gQScY/yEHhO7YcTZsytYPAAAwECFBwYSTCCwoECAAB702oDQfEGP7hTs
XiiQoMV1CBRlMCwRKBSojZflz/+4OfNn/CxFzyyt5UdPJUrJpzYCCzTwQASZug2FDW4JJxIZNsAA
gxYOCY64rY5DrqwVPGiLgKwKEECCCQoowAC4YMhrAgAIaIgEuGAUgC0GEJCLriYWKoCJ9zaqjD4g
MRvJMpREEjI/JPeziY7UgKihjHQSlHJKKqt06rYOGhwODrEmlKGTTkDAYAMPNjTLAwQM8GAGCgIQ
YAMGAJgxgApu6AEE5ygogAIQCpjALudKJCAFCBZQyK7/A/Ao5RDK0mg0yCA5osMQSjjhBBVOKDHk
JMxaegPJlmQCbQ8tfFLNGCtTVXXVA28rAYNbhmKnEx8kxACECLfyQAQRzDyhgjWXo2uDthY4yIMe
SEAARAQCuMCuABBgoAAMmgCBhCMIagIFAhKwwBNQ1OiCMnLJhfSySTm55RdkpHFXGmSOuYUTQ0C6
D9TOZFLjPyeBYvVfgAO+Ug8lXo0kHqK2OQSFCcfUlVdfV4BBresq6I4AYglwIQa5phPATQMmMIAC
Bibg4Ygmmjhi5SMeIICBLT7JY9xyzT3X0TQMQeUXaa5xF5lf2JVGG26kuYUSOzodCd/O/KCjiJ5U
GEQc/4Grtrpqcf4oeAMQtEgFYaH42aaTFhwmk1eIN1zhBBYT8BAACYgVgDoJ2hQAgwQSGKEJHagb
IdshAmdZgwN+8ASRLhJPvGbGH+2II52R0QaZeQ2xnI5JDWkEFWR8vsWQ+jZjWiUwVKuBC2MGvHp1
1qnMeusJUXDjGKL4OQaMDSo4G20zO2w27hY9iKEtABJwwQYKLriBhBR6SBauGwKXnqAjgsjhD0vQ
uELxxRtn3NEwGvlFG2lQ6YMO8GtOgw5KUKmGm2MaCd2+T0FF4weffgqqdf77r02cQWwtd7rzASyE
M5Sw6G5XvFObBoK3Abq4AAYUMMACRjADDOZFL3phEf8GeqCX6QXOCWN4BOK2xz0U0qxxXegDMrjx
C07QIQxXuILjGkUZOqBCGi8E3fzoVz/PqAFqThpElPx3RCRKBYAFwwAYFlaBCqAADMEZDgoUiLa0
JYdYBujQBDwAAxiwIAUsmAEYZ3ADNOZFBxAwgJ02GEImtCEQ2kthHRVHGZr1gWe32EgXrpCGPkTi
EIdwgxvAgAachYEOnNjhLdAnnx+mZCX1owMYolYGbSRRk5tUyhJLUAGvwEIGUKzACzrxlWNYcXcM
TM4JtpIWFkhQgmUEYy1tgMa9MG+DuxxCD4KwBT3cwY92JGbirkAHXXDDkcPsAypA0YpPSGIQcdjC
FMD/kAWOcESH0uDEuX7IGZOUCggqeEJrOHlOdALwCZ9MBT/4EY5OWLECIEhCKmAhzwWyEjkrWNsK
0vLPWgYUjGnU4C432IMklGEQcKBhQ7d3wmJ2gQ630MYv6EDDHCIjGsbYRSk88Yg6lKEKT/iBFsSA
Q1Rc4xeG+BF9vvkpkdxvByqoQSxUh06cIlGd7Dyg7cAAAiiCgEFQzCcWfYWWf0pQoDDAoA1umUaD
8qAHOiiCHO6QBSg4VKs0rOMVxICKivaBhn3QxdCuYQxexMITksBDGbjwBJ8kAXyG+MU1UHGz+WxG
pjVQgSf2l1PA8m+nFQBDOIgSD1i8gJSkLKo+zZRU/6UuFYxPLeguf1kHN0Ahq1vlrOJo2Ah3NcKP
dICFM66hDW1EQxixKIUmBhFSLhhhBznAZhi6AFaLthSvIRnJXkMgib8GVrhWS8cg1glFU4JNKOxI
hWIZi0XHbgiykrUlQa2LBCaQIQ5aaMJmObtVP15BDbrQBipoqAZQ8MIY0UDtRnmhirXqwa1wrQER
sDDDFmqjEbrdrZBEIsQd1CAEdTDicA0csOIeF4oXmGLtbncBon4AutE9C2TTQt1annEIWOiDLG7R
1jVkobuaJbFmv9tQ0P6iD03oAiJKsQthsFcbwPhEIvCAh0AMQg5vdVINomDb8XKjm+Xq72XUwISe
hP+gDFQ7cJNZleBPLhYEiDDsUI7xAgnoTsIT7tVRLRxZgfIACWpohCyowQ7hiKMMZcjsiEts4hOP
txqcuAIUsmCJUMSCF854BiiUoAIOWEAFY8BDSKughHEy4b5hQAU37vq9IqfhyEnmQiadfGkrpUMS
Cl5sKb8mlG1gWctc7vJRT+DPf/JTgjYYcyOIceYDDoUXXCiDFlb2ZlyTuM6aTbEaWAyGR3iiFLwA
hiVqYAEOhIADT3hFIsbABh6rgLa2TektxAXpIifBJyHggjkx/e0EaZrTi5UAg38hNlFvYMukNvVZ
YGADJ/SBE8QIRzxi7Q93soMaxLgDF8bgBJWR+Nb/uS7xFVJR3iZcIQtrUIQkSkELY1tAyXUAwiDo
IQ48jKEM9KWtHzlRUTqo0Hv8nQ8Ytl3Om4Jb5bURdwmy3OkKSEACGkBEc7OsblJnsSy8Y4ENgpCF
ZhIDzUXhRzzCQQ1ZNCILPIhBEb7gBSSwTOpHIDiJscCzRnRXC2wYhMM/8QQLWKAMxijFEyQxIFxo
/K2zzYIfUxzykasvSCYHQgiAkLqV550275CEFIrQAZiTsm4duIDMcZ5z6PbcCWjYHDXCce9879t8
WRjCxFwwAxoo4elT5zzVcd2EPsDL11DwAhnqIAlPBEIFFqhpOmLxhEHcwx/RYMN8d/CDKLgdXmK9
/6Ntuxf3G6aB7nbHu96N/xp6bFoSoPikzJ3//OcfPucsoIET8jDvekPe6NRAhdJ1AIMViICfZpyB
D7jAhSR0Xv2a9XwjtAELLDTBCUXgQh0GYYkxcIADddDGO15vcX/QBjyoPSrwiSgYq92DqBQCvnIR
AybYtrtLueObQKdIvifwBGUABSIoPOjrQJz7ABAMQepbPOy7N3zbvu7LAh3gJ/FDNRcYvxnQASKo
AvTrAepRv86DgkjQhk5AGSdQgioogz9whC3ggL4Sh3b4v6CIhkJzKyDAvSsAvQSMKJHzHgc0grqL
QArcwgrcNEtQL1rwgg7oQOjDgBAcARYIAjTIA/9UoDflOkF9I4bJ0wEX4BB+ukN/8rksuL5UuAMp
2AInsMHpwUGpg4JU4IYelD8lkIIyqINEKMLWS0LYC4pYiAMdi60fcIIoDL1fUAMFjCg8YhwsYAIs
DIFy4kJUXAoL1AReUC9hQAQcIEPnw4AUoIEsOARUgDWiM7p5QQMniIETiC6JgTc0iIRbOAZwcAdu
GAQpmIIgEMQQIogbnDosgAVuiIQhkL8cMIL6G4QxCIEdiIV0cL1JTIdECARHCCkpYIIsiMKPS4Vh
osI6KpdRxMJl87ZUzEeisEBJaMVWFIZWEENZnCJ2sLfaOTpM8UUbYAHo2rle0cM86IRj3AZySIf/
drhIeoiGMljHZwShaJSebGGZITBERPTBHAACWgsEPKiBGvAEcaAHXoC9aMgER4imtkK/KOyCQ6Sz
75JH7smCIpCCGuCAStNHoxwKfvTHf+QFS4jFDkSEWOMHfUOFPHACGmBIECS1ntvDTjiGbQAHi7zI
dhjHcaQHY9g4JhiCXXKegfjI6YGCTuCGVICCHkCCIgCCJ2jEQdiCitMGciSDQLCEVigFS9AxL3AC
KGgCNeCZPvCunpTHLFjEoVyyozzKpFRKf9RACoA+N2CHqTwENAgCFgjBrEQbCaO+W5TIrxzHiyRL
1yxLY3irtIyqN3JLgogEboAFukQCHMBLWhsE/2cbA0mQhI0bg0/ABV7wqEfQAzBIzCZIMTGAsxNr
qGLSgicQSg6gzMrUx8vEzFakBURwOedDgSywSqwMQRGQsKykgSiIyImsyLB8Tfksy1l7AiKgTYOy
zTx4ISzogSPwgR/gxkYcTktQyUA4TvdSq0e4A4A7gmosL1xrKMcEL65SHC2QgipQgRAoou3Ux3zw
BLPzTsz8BBzYTAkwQ9JM0Q9IQzgwRmRkzbGcTxkty12oAiO4T/zM0Q1Cg8nJAucJgt58gm60hE9Q
BVoABhlzhrQiTDBgmdBDhj7wvKqb0O/CAi+oAinQUODq0Hz80BAVUaUMyDGsAPUUQVs8hFTwSv9y
WIcZbVP5pIfXs09c0lH8zALJiQRB9AEgENDT8wQ9W6/24qhSyKwj6AE1gIVr6AQskNIpnU4astKR
CgEVEBAuTcV8KLtHAFPvDATAU0/2dNFtYFM3HdU3jQUbJYK8mFM63SUkOERYQAKpGoK7DEL7E7ZY
ANTUcgZh6AQoEJxOuAZkoIOBm9Jc26os2IIveAIOqAFekMBKPT4v7UdNxUxESAItiIQ0pUjWJFVu
dU04hStUta7KotND0IZnyAO98KUieIIvaIOu81P1Yq9rYIZOoLxeaqFrhAIcJFZdaygt2AIuAIJ7
fFZUvFTYm1bM3AVgAMsY7VaH9VZeqAIgIAL/yoKqVdWLLEgmWMiCGZAqGdwCIQy2VdgFZYgGadCF
PACcHiArbtAFLJjG9SPWR/WCL+ACAdNOgqVAg5UEWkBYf9wFZ0CHhx1aiIUrHLCBMxJXXLLYqCpX
aegEtYxVJ/CCNQjMTwAFUEiFQ8CCtuwBLEimX0hZQrw1Rq26LCg9LlABFZCEAstZaC27OtCzad2F
XUiraCBavE0HswzYo8WgpFVaVd2lG2hVboiGSIDVdPUlJ8iC8kSCXvogG1SDQ0SGPLDBseW8Kc2C
NVNWILApt9XZWDi/QRi2WCjdVixd1EVdYxCHvB3avQWCo7Ulp3Kqd1NaHtAgNMqCXygaqK0s/8iN
qiHIg90N216yzcsdVs0CgzYoA4Htts/VWW2QhLcqAz813bRKXdVl3dbtVnEQh9AFghygAcmaXcAV
VzRIpkSlvMBlVTTohB36BTRwHtsEyeNdmbNtg7TlAA59XmhNB2OogycQ0kHQM9SlBey9Ve3d3jZN
rViQhDrgsR+gAVrCsPJNoxnIAkTlBmToBF+cHiRY3DxIhR2ShlRYuracX8GBWfXTgjiQgycIgRDw
XP41vnxIh2iQXryEvVIg4ANGYAWeT3GIhuQchPnKnyeUgQnGsIAqI+s6oyxwX24gH1johEjoBHvS
BZ5BrV843BxFYRUuRDcIKYEFAnyc4byjB/9tKAUA9om8rN4eXt0fHscgHuIidhK1pSksfAEwAyMn
gAM4cAIbeMGAQtomPqNDgIWh4QZFXmRFPtlIWLqOpVMvFhypywI80IP8hRIz7l+yozjVaGMeTl04
bt0gNga1emC4MhW1lVTV2FPYvTAwWgEbiARpYAatzYIgoC4bmCykhQHr6wRYCJqggYVU6IRDgORx
XdWond+VAYM/qAMjMEJPcNZNBrd8COJSMK5P5oLRPeBRflhx0Aayc+CNMxW+umOaQkmFWuMciKVa
kuVfVWRgveXvk5jJWqoMQoIsQIPGVcsMulgdtc26vANFKANAewJUqeb+1QZeIE4nwcsyiAz/UU5g
GaUHi04HcTBlTyBiHmNJdE5nIbU/h4sFZvje8HXBtNABOEgFyVFkbbDlRw5kfxIo2s0wDGKqv4Wq
9b3YD+IlGwSDQfgDZf2ttlXovMuHi+vkVBbgHS7db35NesDojVKr1+roc77jT9ZLYYtXbXjJdKA4
IJABlH5BF1BDNG1p8vmFW87lmdZlp6pgggJo2uylLAiEgh5KhDbqLazhaIiFQQhY1ai/6n3qiw5i
qq7jc5ZUkP7NrQZU1qWHfFAdT/AJHGABf8LDO4QBNeyEunLpaFDrPwY/e6bgW3q3twZcvUhmOnUD
aRpqttXrvU4HbWhg5s1qPzUGvY3qcB5i/9iir49mSSFVqJHmBfZ6bMiWQGN4gtkS6xNwgX22Acw+
HidA0x1yaWbQBQ4OgsxWYtOuWLi+WCewhEuog4NuVtjeazRW6m3ux9TihY1GZd9G520Wbngt7tyO
7KRIB+YFghfgJ91lBlg4BCd4QTyEAR3IgkgoK5eGF104Zuhua+5eYrjeaRC6A02Q3mTzhKI+bxpO
6mxeaoV6rSL2aBhW222u1WFzbL3Fb6bIB0mgbH6CA3l25AFvwTuEt7NeZJ/5hU6AA+0eP+6eXdol
3+/WixnQAkvYaLwuPg6PbYZ26BoQ0vjWUJoKbK1O8Wjo3hWn5qVI7hrIgRZYgSDgbKIhH/9k0Nog
IHA1x/FUeIbTQi1p4HE4qOc9xjAhn3AjD+9Q2DQj3NImL1g0du/aTmwT900Uv1X7Pm7YoAew7u8T
iIHp1oVrWHDsdgLRxsOybt+WjmJzDXBLV7UIp2lePm006lgX84QyUDbW+PMu9XDj6jFDHwRbVXGL
5vKpiAWfyAESWJsToL6VRut59nE1v0MXmG5YkBxtuAafOfM/fvBQXyrateAbgANQKAVJGMoa2IXg
YnUu5OsGrgNw77odpnXIPhBxsFnY3RAWeOIshnNdiOlTw2wbQPCyQi045/HQJOs6j/BSv2BQUCsp
SLb95fZWF+e04mrjZnEE+VCeAPNS2zn/FmXpoUEtZgdkXueQTOfsiXf3R6ZDCH/2iXGCfy+FVF+2
hCZ4o6xhjC5Lha8SbSgD1cABX4GY6c5ilz7z0Lx4FlwBlT72npn0wv0FAZfpfaeuMd+FWCBvDujc
bUd5S43slk+VS214FDgqiAkCRKh3oH8GWAhNFjATG0CDVOCZN49ifM/lCyv6idEBREDOF+9zJnN6
uVcimJ+tFuiVhzcLtImB9v0F9lLkz+ZgHfh6swi/soYDjUetRubxLLA86nIBtucFYZhsI6yDuJ97
zH8KXI/5FNC5DaH5Q6j3RZaGrif8s+AVFnCCSEBkZV/kX3CCjwejF5xlYDBlLtC/sct8/91/iuLi
Cf7u/AlDDt4JAsS3ebnUAVM7fM5+BqK5BjQY63+yATgABmVIemV7Al5o+t3ffqOIBpu9vRII/rx3
SBFY9wTfoU6gAV8hfF4p9pXm8R9PKn6ygUPw+1goeabnfv1Pinx4vRoAiB05WogoaPCgwRMKTxRk
EeVQJycLJ1JcKOJEECc6Vih04XHFCh2HkF3jVUcFByCl0vlr6fIlzJgyZ9KsafMmzpw6d/Ls6fMn
0KA+6Xl6UkMgQYQFGSJUeJBhxagTE1Jc4aRTtJJlUNZYKfQr2LBix5Ita9YsvVJPgOz48eKD0rgJ
n0qtW1GEDTjIuF1bxYUDBy6x6J0tbP/4MOLEis2m88QFCBC3HuRSpmr38omr0rhF8wQkhIoyxggv
Lm36NOrUY9OphfwDB4nKsuNCldoQjS5t4joDsRCijrF8qocTL25cNT1JayHjaAF3NvTad0Vc3cvN
2EkOKupoE378O/jw4oE2Xh4ZNvT00g0GOfRLG99YZUKklBRtPP78+venfew6xwsjpDdgQTQcAgoz
12hjjCRAcBDCE6WI491+FVp44Wn5YLfWE0Y8UcQLKcj23GwOHWhMNNEY4xhXg4yGIYwxyniWOJJw
8YOHT3xIRAsiHkSibCnQAEYnrfBijDPGlFJHDQ8+4cmEM0o5JZU95RNNIlzo+EQVXGz/UQQTRMiQ
wgdA/nhCCj5o4QYooPDCizC8xGJjDaBx4Yk2pFW5J599vkSPSVo+wQUXX3xRRhlbeOFFmEk46igY
btyByCelvBJLLLXEUsogT6gQQg13RqOnn6WaOmU6sQyiJaFckFFGG3LUMWsggwySiCSSeOJJKKX4
Woong5QBhAoqhFrKqKcqu+yM9KxYR6tcINrGrHXYqkiu2Q6CRxlrFVvDE4PwEiWz5ZprIT3azFlH
Ga0i+u67hJoHGReDlGIMuefquy9++aQTTSzBstvqloSWYa0nseBLD4X8OvwwePnQk443Khrz5pso
6pYOwxB7/HG/+YjcMMglm3wyyimr/7wyyy27/DLMMcs8M80123wzzjnrvDPPPfv8M9BBCz000UUb
fVo6uh299Kn5xCItL6QyPfWUvIRgwSAslYzPN9l4/TXYYI/TTz/4mI1PP1QDle4z0Wg9Xj6SDGCB
MX92/LA6k0Cy9yR6L7I34JAsIgo+6rgiiiin9ILPTWar/ZI4vAATSyIuytRP0ilyo89M/mqTYr7+
2MOMNOmss046qatO8kv51DEAB9q0ro0kdUTtsDqbQCJKM+N804vufQu/yCn4jNO3K7pPc1MvrnBe
Fj/snD499c+/pM8623TTzTnsUCg99eFTzw9/yfqjjbVSOwuMNtoAYwmUMc0DjDHt0/8iSSxvi4MH
G3jUaqutAkEL1rnEEwM4wH1iko5BWEAFvCCgTCyWMWNcjILGeBt+8raJcbikH9kI3vCKd7ziNWMR
tvBH4dTBuX7AAx/w0Ac8RDEJdbQkhdYLyjoqcYY58LCHPITGS9gBjUrMwQpGPAMhRgENfbCDEDv0
IRTngMR17EdkLtFHJurgjtbFghf3cIk2ApEIcbxkHcjyTj+MwYZPkCYakihFLGiBMVwkIhBknEk0
GgCAJ9TEGBY4gCQgCBMOHPAAhjzkAQ4YyJawzoqto9DI/OFIRgpyJ3krBkz00YtFCG8SxDPeJETx
DVcsohiG24QoFgePUxzud30rnjr/ToHKxX1lG2dYAi5zmctcuGQblbCCLnVphW2w45bBPOYSrHAO
GCVnkS4BhiSkZowylMI7+SiFKhp2TdFIMhpUhEk+VFG3zpUBAA0Yp0sm6Y88DsATOHGAOVUATwAc
wAEDAAAABpEPbZSifdEQzj7FIVDhpCoa4hiNhj7XzxRJUjcC/UruvgGTfWSDkyE03iYmkdFTjMMW
kGgeJKaRN0i4Qh3TyGgz8OGKj54ipF85xxxyOQdC0JSmQPTHNgghzDPwFJhW6AY7YmpEIwqTqGf4
5oW0kQhmtE5XJFtgILQWRnSCMQ6e2IckZaIuqUHOAgCowZ944YngvKQUA3DAHWmS/w+vqiAfT8Dn
AThwAHwOwh+l4EA0tFGDWORjVxLzVT7EoYKV1EscnkhV7NTVGE9IzBMJBErusgGTfkzDon375Dg2
sYliiHQeoYTHN0yYN1HQcB4ydKFG8VHZXrw0prgcBjveIdt3CEcfo9DlHJTYDV3kQofd0McwZiHc
WegUl3MY7iyGccP9vEMVD3xJOurwCZL1NQ53NEYcqNoSegzCERBMizRqwosBDKCu232CA8qQ1u1a
oLw2WSsAOJAPIOBzAA24Zz79EYsQkBFc2giB7NYJhAuqIBb+YJI4WMILDrCkMXhtydMw2JO82eKG
8yBlJzE7ieK1BB67m8c4TDgOkv8yzrSTQK0o9LHa1ubyFzLphjGXQIhukM8l64AGUluij1nkchTL
Nc0+zGENXxDZF+bA6nvnJOHoOjOdsajDdcvACySnM1cQBBhXXzIIevLCJW8tAwG3LN+awFe+9AWA
ffFb11hwoH5AmJMFvCPYOqRDBY61nXcWTEa3WqCNbQ7KSJeRj3mAeKWd9KQId5c2f+jDFiZsaTbU
sQhXMA4folhELy78URlKVigwzWUlkDuLbfhjGLk8Qzdy0o9c9PjHijEHJswgCFYQmRVmEIIJBGEO
mqTjE2yIQ5f9QQ/CxI0N65VkKaLZEvQp+0+JMLBMxKGKY4OznA1IID3aq12XlAL/AA6QcEy8aub6
3peu+uUAL1SUDwbKeTt1vteAXaJnST4hzi2JhgWCPRN9qGMcKoyJPsbRvF1kwxaH41uGYSkKWyza
H6cURTFgmErG9aMYiCtc8njnap58GplWGIY/eIxLQmw8JvkQ+RJ8jBpr4BoTR25JkFlhAiHsOtqe
sIQxVOEIcFxJa8AoQzahKwl9p4WbL4nGIKgtyS5WMh9cMCe22/tYmMTC20pPp7jdSm416xfAee7z
su1c5wduJ88c2DMDtWYMFQRYJuroxSkS1wsaugQevSgGiLFBSsAdGtFogwc8YDIPdfy7H+qYh0tS
iNXB/5vFyFwCL1FO8pycvNWn/7GGCTLACiq/hBWCkIdWE8YSerQiYc/wDj0+EQdgoJ4Wg4Fc5aTh
HXTci/NglNB7n35Ol6gAANCOSbe/bROvHoCfcG1AA2pwgDXHziX04EKwI1xnA6+FNLywwB218QQD
97XJMIHHSgNH6Q47muESyywk+n7ZUyAePB1fQiWGIX/5L5PVuDwq5VGu8tLIQwgKEARNCJnt+UPk
/JPztYIlYBA94ILpSQOKcJU4AEu6qUh3yEQ4kRWZbdkBuFNLGBCDmVwdxFfTeRUAhIAn1IAF3JcF
lEED6FMsxJtLiEMsiIM28ILsaJ+B8QIXyI7TAMFjqcvn3M5MTAPC6Q0kdNo3bP+CCS1aP2yS+iFa
+33H+0FDPvCDFdZYNwATLs3Cj63DcuWD/aVcyZ0FKyhABtTcTAygsHHVO4hDwzESDepGlunYOoAD
OJDDHPoDOHwCuMlE1e1ROtVBAxQYqWQbINrEPKFZIuETmgFAHUhMOlDXsFkTx0hSJG7XJabTJNKE
PhhaJ0FCMZQYKTGcS2RDESZcFB7HFMrEOhRXMo3Cb/WDPnRDLswYOOnfGJbFPvifGeCEPMjDPuzD
L/pDMAbjL/4iVgmj7QmjOQDjAMqDObQD6BGjMyqjsN1LPqghTGjDXGFfOi1I6EgCPW1bTJRBDZyj
sZwjOtaAvpmGPrTUoUGCLST/QzSQghKSYktU1BMSTyoaxyrKBDTEmBUgEU2dgRGlWuuE4f69WgYo
ACvcxD74giAIgRCYgS/sgzXcmhlgAkeagRmYgzlM5Oe9BKxV5EW6hDUIgkremiBYQ0pSpBmwAug9
gyS8A6yh4UzQQw2gWR3YhDHMFR/dxMgMJVGqRhNaVt9AQjO4Qz00gyf1QsNVVOCgYnj8o8kNQ4wh
E0KmEy6Whi9EgAL4Ak5EJFhuHjGagQJ85C/6wkf6A+alJee1Q0VSmSCYgMtBo8xt3lsKAlalgyW0
gj9gggmIpU2YlTldnV3NlQrk4YWgn/BAwibQHfgtYUv0w4WFkgwh3CepVjN0/yYN6UMzTMMbvoQ6
FMPclYVVxgQ/dMMvHdMZjAI7gJNC5iJZlKECWENOyEMGRAButgQmKAAmuIQ8WMM0ouX/Udk+cKRL
fCVfvgQm4OY+oOVD5gMdicMuHqdNpMNO7pGEacgTGBIX9GFQQFLrpJN5WpPEWJOqnRTgbEIzNJzh
9MIKZQPgjUN9Ak/6fZI6iALgsN88oFLgxUQsCU4zlMU7BJdwLVNN6IMuzMIoPGhybYOrdcNwdcNo
HoYvKEBY5sQ+mEAEoOFvBqdL0KUQREAEPCTMsQKKmgOu4aQ/vJw/oKVYXkk08APLKYAJuKhWcQCa
1UDbGdZjDMLU4cQC3Yt4qv/Lm2BKNKSbksjJpjgWwABLOiTpG2GKwlxMLLTd5YyDaRbD2MAE1/RC
L8AD4U1WNvgNLKHSNPDnN1CWaMZEP3iULWQDB1VmzJhDQ6IoRHooiAInNVoDGs4aK5ioWe6DirZE
hpqBNsbohjonK5SontaEODzBPTlA0onM3fSETvIVQJGMkggL/niCriTbrAyCjVCQwGiDJ/CCJAyC
J7BLKfDCIFgLOcIpTeSNCblanApOmpKWLI3NNGQD56hDZ3JQ7kSmS8zDNBRDNjCOSX1DM3zDODSD
sHpQ1/RO5yiINj1WQOnEPmlDOpSDdbpEJsZE5FQgTKTLiA6bTXRoWnIon7r/RBkKgYreWm/6gyCI
pS/sJiYE46EGpp/ShIySpK59pRBM402UQg00wAFYAHAw5nvVgItMaRcZQ/5QUjrQoMa2j0O1T4Il
DQ0GlkCBa8ZuDA2Kp07kzu6gw0x8w6UpXChNAlTCw2ftZ99s0JmewvN0ImTKo2pxEmTyJyR8g6Vp
1O4EaLomjDKkCC9UgzFcwue0z8W0zz7VT4oYQzXITjkEhzEIw0FpCgXlldX6ywWdj0B5wioEg9jW
jzYoQyykSDTEiYKgLMCe4VjGq2+mpUvaWqAS5r5GACbIA63lrYjOxMAup0X+7b3iROTsihD6RD7U
AP4gyoRoww5S0rBNDCSm/07mcszEfK6/gK7qjG7qVJJNqOwJzcQq6acMHc4pfAM8AGgJFUMzfNQ0
TILztMQ3kNQ4nMIkdA1JrVTzLEIzmFg2rNTyxERaKMnN7QqvcMpYrYK98MKU7oquPGk+8EIb0IMw
XFCyrYKoSoIz0MIq6MG/WEI5EAVfbUoorIKSWMLQAQscmaqvSEKttoQ8mMC7piGgEiPeAqyegqRL
5Oty6q8gYILfRoCiCmyjEiMmCAFH+l9z9sSPXaha+eD1pZXbtIRA8UKsJikcrWqSbkoX4clByUn9
bIrF4g/G0O3p6g5rzcSF6ScqzcPuikJmncLbDe3xuMJJiUL7rZgtTEKwgv9iMQxt7eKdKGyCPhwx
Jplcd+xGXvnT1U6gbmSvMETD0orDNfzTgkiMbngsx4oDZ4xGuoiMQX2rQMVhx9Kgqixt2dbE35pl
TGQkdP5viL7EMMYoYbbEWw5mS7BoBiyuP0BjSxyuW+paMFpDBthtJuGDPpgN2ZiNPkzyNMzD2ZgN
fUZyLl6T9oXATPzL1e7G56RIKVPQkSxp6nxO/WSsFOOLKENsTaDurZ4CDZPWmeIwKpUm8ZqiLQyo
SMGDKboC+P1uRRXDEUNrKZlWZHpUgXrrdrVD6xhUahyULBdwBCjyS7CcGYCebn6oS6AlAKaoWcYk
5zGyQy5nBNDciGLCQ17/J4oa6jgfMnByXj80A7OaptfQrpf6Ti9kg5giczacwjRMw5xacLp+Ck1w
FWmMTENHErFRSKaq04TpjiggLUx8EA3vTkaZ0mcdD+JMgmTdbihdcuviLjxUlmkuQjbMron5LmmF
8semAzmU7McOWzrQFj2cbOrIlrDVNOlOTOlm7seiDucK9RqrTuj0REbO3HO6JFuawOYJLqHuGosq
gBBAtWCKJeYJgS8grD/4glQ7pwlY5N5mtTyI9f8Boy/MJcyh5WBSWaNNwziIgiu4Qi80Q/MsazPg
dS/YgphOQy9MgysoDuPk3pjBSO70TcTFhErxKj7MQ/O4gi1Mg9kANj7k/wNhu0JKMRphv64/jNIp
/HJou4LXuMI4HG+ztq5p04RA0fRrr7FA0UM7kAMe7rQ4rMPHigNOJ5ht5zZsc8w7DJtsZ2xOvwPq
yLZt85xQRKQgyBpHcqQ1LHKsbeR0syV0s0Ks6ZrgeqTLvYShLq5zQ/esDaetbaSR2dp3u2V107E/
UFYL3d0+2wLtzilndU3XjENB63U2IDRMGAMH8JViG+EkFC8TwsMR8yrinY31QHLizUPDWSaE11AL
VSYkR7Isoo2lRWY/fgw0giTnFaM1VqMwOiM1GuMApjhINiPMibiLI5kyBmMm6RjasNA3YDLaVDLZ
7DgnO3hOYMe9aKl+2FJsRm2CK3DWssqSRuHuYSfGhjf546SGfwsFyF6zcXDNN2S5lvuOlm/5lJOF
ik0DbUY5mY8H2ZQ5mqe5mq85m7e5m785nMe5nM85nde5nd85yAQEADs=
}

#### Page 1
proc page1 {} {
global toplevel logo img
        set text1 {This software installs the vmdMagazine in your computer.
            VMD-Magazine is a VMD plug-in that can play and handle computational simulations into stunning high-impact video \
            presentations, suitable for classes/lectures and even conferences. 

            More information at:
            http://www.fc.up.pt/PortoBioComp/database}
            
        grid [ttk::label  $toplevel.setup.f.label1 -text $text1 -justify center -wraplength 300 -padding "20 10 20 10"] -in  $toplevel.setup.f -row 0 -column 0 -sticky news -padx 1

        set text2 {This software was developed by Theoretical Chemistry Group of Faculty of Science of Universidade do Porto}
        grid [label  $toplevel.setup.f.label2 -background grey  -text $text2 -justify center -wraplength 280 ] -in  $toplevel.setup.f -row 1 -column 0 -sticky ew -padx 1 -pady 10

}


#### Page 2
proc page2 {} {
    global directory toplevel logo img
    set text {Directory where the VMD Magazine will be installed:}
    grid [ttk::label  $toplevel.setup.f.label3 -text $text -justify center -wraplength 300 -padding "20 10 20 10"] -in  $toplevel.setup.f -row 0 -column 0
    grid [ttk::button  $toplevel.setup.f.button1 -text "Click to Choose the Diretory" -padding "20 10 1 10" -command {chooseDir}] -in  $toplevel.setup.f -row 1 -column 0 -pady 20
    grid [ttk::label  $toplevel.setup.f.label4 -textvariable directory  -justify center -wraplength 300 -padding "10 10 10 10"] -in  $toplevel.setup.f -row 2 -column 0 -pady 5
}


#### Page 3
proc page3 {} {
    global directory toplevel logo img
    set text {CONGRATULATIONS !}
    grid [ttk::label  $toplevel.setup.f.label5 -text $text -justify center -wraplength 300 -padding "10 10 10 10"] -in $toplevel.setup.f -row 0 -column 0

    set text1 {The installation of the VMD Magazine is complete.}
    grid [ttk::label  $toplevel.setup.f.label6 -text $text1 -justify center -wraplength 300 -padding "10 10 10 10"] -in  $toplevel.setup.f -row 1 -column 0


    set text2 {The VMD-Magazine can be found in the Extensions Menu of the VMD application under the PortoBioComp submenu.}
    grid [label  $toplevel.setup.f.label7 -background grey -text $text2 -justify center -wraplength 300 ] -in  $toplevel.setup.f -row 2 -column 0 -padx 10

    set text3 {More informations can be found at:}
    set text4 {http://web.fc.up.pt/PortoBioComp/database/doku.php?id=vmdmagazine}
    grid [ttk::label  $toplevel.setup.f.label8 -text $text3 -justify center -wraplength 300 -padding "10 20 10 10"] -in  $toplevel.setup.f -row 3 -column 0
    grid [ttk::label  $toplevel.setup.f.label9 -text $text4 -justify center -wraplength 300 -padding "10 10 10 10"] -in  $toplevel.setup.f -row 4 -column 0
}

#### Commands

proc install {} {
    global directory page logo toplevel logo img


    set Path $directory

    #### COPY Files
    set fileList [lsort [glob *]]

    ## Creating Directory
    set path_ini [pwd]
    if { [file isdirectory $Path]==0} {
        file mkdir $Path
    } else {

        ## Directory already exists
    
        set answer [tk_messageBox -message "The Directory already exists!\nDo you want to overwrite it?" \
            -icon question -type yesno \
            -detail "Directory: $directory"]

        switch -- $answer {

        yes {if {$Path != $path_ini} {foreach a $fileList { file delete -force $Path/$a} } }

        no {set directory "."; return}
        }
        
    }

    ## Copying files
    if {$Path != $path_ini} {foreach a $fileList {file copy -force $a $Path}}



    #### Change VMDRC

    set file ""
    if {[string first "Windows" $::tcl_platform(os)] != -1} {
        if {[file exists "C:/Program Files/University of Illinois/VMD/vmd.rc" ]!= 1} {
            tk_messageBox -message "VMD is not in C:/Program Files/University of Illinois/VMD\nPlease indicate where VMD is located" -title "VMD directory"
            set vmdpath [tk_chooseDirectory -title "Choose VMD directory"]
            set file "$vmdpath/vmd.rc"
            if {$vmdpath == ""} {break}
        } else {
            set vmdpath "C:/Program Files/University of Illinois/VMD"
            set file "$vmdpath/vmd.rc"
        }
    } else {set file "[file nativename ~]/.vmdrc"}

    if {[file exists $file ]!= 1} {
        set vmdrc [open $file w+]
    } else {
        set vmdrc [open $file r+]
        set vmdrcF [read $vmdrc]
        close $vmdrc
        set vmdrcF [split $vmdrcF "\n"]
        set vmdrc [open $file w+]
        set i 0
        while {$i <= [llength $vmdrcF]} {
             ##set line [gets $vmdrc]
            if {[lindex $vmdrcF $i] == "###VMD-Magazine Plugin"} {
                incr i
                while {[lindex $vmdrcF $i]!= "###END" && [string range [lindex $vmdrcF $i] 0 2] != "###"} {incr i}
                }
            if {[lindex $vmdrcF $i] != ""} {
                puts $vmdrc [lindex $vmdrcF $i]
                }
                incr i
        } 
     }

     # Add new libraries 
     
     puts $vmdrc "###VMD-Magazine Plugin"
     puts $vmdrc "variable VBox_directory $Path/Demos"
     puts $vmdrc "lappend auto_path       $Path"
     puts $vmdrc "vmd_install_extension VBox  \"VBox::vBox\" \"PortoBioComp/VMD_Magazine\" "
     puts $vmdrc "###END"
     puts $vmdrc "menu main on"
     close $vmdrc
}



proc chooseDir {} {
    global toplevel logo img
    global directory
    set directory [tk_chooseDirectory \
        -initialdir ~ -title "Choose a directory"]/vmdMagazine
    if {$directory !="."} { $toplevel.setup.buttons.next configure -state normal ;  $toplevel.setup.buttons.next configure -text "Install"}
}


proc cmd {opt} {
    global page directory logo toplevel img
    # destroy all widgets
    destroy  $toplevel.setup.f.label1  $toplevel.setup.f.label2  $toplevel.setup.f.label3   $toplevel.setup.f.button1    $toplevel.setup.f.label4   $toplevel.setup.f.label5   $toplevel.setup.f.label6   $toplevel.setup.f.label7   $toplevel.setup.f.label8   $toplevel.setup.f.label9
    #move frame
      $toplevel.setup.buttons.next configure -state normal
    if {$opt=="next"} {incr page} else {set page [expr $page -1]}
    if {$page <1} { wm withdraw $toplevel; set page 0}
    if {$page >3} {wm withdraw $toplevel; set page 0 }
    if {$page==1} { $toplevel.setup.buttons.previous configure -text "Exit"}
    if {$page==2 && $directory =="."} { $toplevel.setup.buttons.next configure -state disabled;  $toplevel.setup.buttons.previous configure -text "Previous"}
    if {$page==2 && $directory !="."} { $toplevel.setup.buttons.next configure -text "Install"; } else { $toplevel.setup.buttons.next configure -text "Next"}
    if {$page==3 && $directory !="."} {install; if { $directory !="."} { $toplevel.setup.buttons.next configure -text "Exit"} else {set page 2;  $toplevel.setup.buttons.next configure -state disabled }}
    if {$page!=0} {page$page}
}


#### variables

## Windows Creation

    set toplevel .top

	#### Check if the window exists
	if {[winfo exists $toplevel]} {wm deiconify $toplevel ;return $toplevel}
	toplevel $toplevel

    wm title $toplevel "VMD-Magazine Installation"
    wm resizable $toplevel 0 0

    grid columnconfigure $toplevel 0 -weight 1; grid rowconfigure . 0 -weight 0
    grid [ttk::frame $toplevel.setup -width 350 -height 600] -row 0 -column 0 -sticky news

    ####  General

        # Logo Image
        image create photo img1 -data $logo
        grid [ttk::label $toplevel.setup.logo -image img1 -justify center] -row 0 -column 0 -sticky ew

        # frame with commands
        grid [ttk::frame  $toplevel.setup.f -height 200] -row 1 -column 0 -stick ew


        # Buttons
        grid [ttk::frame  $toplevel.setup.buttons -relief sunken -padding "1 2 1 1" ] -row 2 -column 0 -sticky news 
        grid [ttk::button $toplevel.setup.buttons.previous -text "Previous" -command {cmd previous}] -in  $toplevel.setup.buttons -row 0 -column 0
        grid [ttk::button $toplevel.setup.buttons.next -text "Next" -command {cmd next} ] -in  $toplevel.setup.buttons -row 0 -column 1 -sticky e

        grid columnconfigure  $toplevel.setup.buttons 1 -weight 1



## Variables

set directory "."
set page 2
cmd 0 
puts "Done!"







